polybori::COrderingTagsBase< OrderTag, LexProp, DegOrderProp, BlockOrderProp, DescendingProp, OrderedProp, TotelDegOrderProp, SymmetryProp > Class Template Reference

`#include <COrderingTags.h>`

## Public Types

typedef OrderTag | order_tag
typedef LexProp | lex_property
typedef OrderedProp | ordered_property
typedef SymmetryProp | symmetry_property
typedef DegOrderProp | degorder_property
typedef BlockOrderProp | blockorder_property
typedef TotelDegOrderProp | totaldegorder_property
typedef invert_tag< DescendingProp >::type | ascending_property
typedef and_tag< DegOrderProp, ascending_property >::type | degrevlexorder_property
typedef DescendingProp | descending_property

## Member Typedef Documentation

template<class OrderTag, class LexProp, class DegOrderProp, class BlockOrderProp, class DescendingProp, class OrderedProp = LexProp, class TotelDegOrderProp = DegOrderProp, class SymmetryProp = typename invert_tag<BlockOrderProp>::type>

typedef invert_tag<DescendingProp>::type polybori::COrderingTagsBase< OrderTag, LexProp, DegOrderProp, BlockOrderProp, DescendingProp, OrderedProp, TotelDegOrderProp, SymmetryProp >::ascending_property

template<class OrderTag, class LexProp, class DegOrderProp, class BlockOrderProp, class DescendingProp, class OrderedProp = LexProp, class TotelDegOrderProp = DegOrderProp, class SymmetryProp = typename invert_tag<BlockOrderProp>::type>

typedef BlockOrderProp polybori::COrderingTagsBase< OrderTag, LexProp, DegOrderProp, BlockOrderProp, DescendingProp, OrderedProp, TotelDegOrderProp, SymmetryProp >::blockorder_property

template<class OrderTag, class LexProp, class DegOrderProp, class BlockOrderProp, class DescendingProp, class OrderedProp = LexProp, class TotelDegOrderProp = DegOrderProp, class SymmetryProp = typename invert_tag<BlockOrderProp>::type>

typedef DegOrderProp polybori::COrderingTagsBase< OrderTag, LexProp, DegOrderProp, BlockOrderProp, DescendingProp, OrderedProp, TotelDegOrderProp, SymmetryProp >::degorder_property

template<class OrderTag, class LexProp, class DegOrderProp, class BlockOrderProp, class DescendingProp, class OrderedProp = LexProp, class TotelDegOrderProp = DegOrderProp, class SymmetryProp = typename invert_tag<BlockOrderProp>::type>

typedef and_tag<DegOrderProp, ascending_property>::type polybori::COrderingTagsBase< OrderTag, LexProp, DegOrderProp, BlockOrderProp, DescendingProp, OrderedProp, TotelDegOrderProp, SymmetryProp >::degrevlexorder_property

template<class OrderTag, class LexProp, class DegOrderProp, class BlockOrderProp, class DescendingProp, class OrderedProp = LexProp, class TotelDegOrderProp = DegOrderProp, class SymmetryProp = typename invert_tag<BlockOrderProp>::type>

typedef DescendingProp polybori::COrderingTagsBase< OrderTag, LexProp, DegOrderProp, BlockOrderProp, DescendingProp, OrderedProp, TotelDegOrderProp, SymmetryProp >::descending_property

template<class OrderTag, class LexProp, class DegOrderProp, class BlockOrderProp, class DescendingProp, class OrderedProp = LexProp, class TotelDegOrderProp = DegOrderProp, class SymmetryProp = typename invert_tag<BlockOrderProp>::type>

typedef LexProp polybori::COrderingTagsBase< OrderTag, LexProp, DegOrderProp, BlockOrderProp, DescendingProp, OrderedProp, TotelDegOrderProp, SymmetryProp >::lex_property

template<class OrderTag, class LexProp, class DegOrderProp, class BlockOrderProp, class DescendingProp, class OrderedProp = LexProp, class TotelDegOrderProp = DegOrderProp, class SymmetryProp = typename invert_tag<BlockOrderProp>::type>

typedef OrderTag polybori::COrderingTagsBase< OrderTag, LexProp, DegOrderProp, BlockOrderProp, DescendingProp, OrderedProp, TotelDegOrderProp, SymmetryProp >::order_tag

template<class OrderTag, class LexProp, class DegOrderProp, class BlockOrderProp, class DescendingProp, class OrderedProp = LexProp, class TotelDegOrderProp = DegOrderProp, class SymmetryProp = typename invert_tag<BlockOrderProp>::type>

typedef OrderedProp polybori::COrderingTagsBase< OrderTag, LexProp, DegOrderProp, BlockOrderProp, DescendingProp, OrderedProp, TotelDegOrderProp, SymmetryProp >::ordered_property

template<class OrderTag, class LexProp, class DegOrderProp, class BlockOrderProp, class DescendingProp, class OrderedProp = LexProp, class TotelDegOrderProp = DegOrderProp, class SymmetryProp = typename invert_tag<BlockOrderProp>::type>

typedef SymmetryProp polybori::COrderingTagsBase< OrderTag, LexProp, DegOrderProp, BlockOrderProp, DescendingProp, OrderedProp, TotelDegOrderProp, SymmetryProp >::symmetry_property

template<class OrderTag, class LexProp, class DegOrderProp, class BlockOrderProp, class DescendingProp, class OrderedProp = LexProp, class TotelDegOrderProp = DegOrderProp, class SymmetryProp = typename invert_tag<BlockOrderProp>::type>

typedef TotelDegOrderProp polybori::COrderingTagsBase< OrderTag, LexProp, DegOrderProp, BlockOrderProp, DescendingProp, OrderedProp, TotelDegOrderProp, SymmetryProp >::totaldegorder_property

The documentation for this class was generated from the following file:

- COrderingTags.h